Bug 753 - "unbound-control dump_requestlist" shows only thread #0 with two-thread libevent build
"unbound-control dump_requestlist" shows only thread #0 with two-thread libev...
Status: RESOLVED FIXED
Product: unbound
Classification: Unclassified
Component: server
1.5.8
x86_64 Linux
: P5 normal
Assigned To: unbound team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-11 03:57 CEST by dhalgren.tor
Modified: 2016-04-13 08:12 CEST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dhalgren.tor 2016-04-11 03:57:08 CEST
"unbound-control dump_requestlist" shows only thread #0 with two-thread libevent build of daemon.  Thread #1 absent from report.
Comment 1 Wouter Wijngaards 2016-04-11 09:16:27 CEST
Hi Dhalgren,

The command simply won't print the other threads requestlist.  It was considered too time consuming to implement for a debug inspection.  If you want to know such details you could, as a workaround, set verbosity to 4, (temporarily perhaps with unbound-control) and then every thread prints their requestlist into log (when they do something).

Best regards, Wouter
Comment 2 dhalgren.tor 2016-04-11 17:57:12 CEST
The command help and documentation should state this clearly to save people time (reporting a bug) and so they realize the information is not complete.  Caused me some confusion while analyzing an issue.
Comment 3 Wouter Wijngaards 2016-04-12 09:01:18 CEST
Hi Dhalgren,

Yes, certainly.  Sorry for the confusion.

Best regards, Wouter
Comment 4 Wouter Wijngaards 2016-04-12 09:46:55 CEST
Hi Dhalgren,

Which help places did you look at (i.e. need update)?  The man page says so already, but it is fine to repeat it elsewhere too.

Best regards, Wouter
Comment 5 dhalgren.tor 2016-04-12 18:22:52 CEST
Would have helped me if the output from 'unbound-control -h' instead of

dump_requestlist      show what is worked on

said

dump_requestlist      show what is worked on, thread #0 only
Comment 6 Wouter Wijngaards 2016-04-13 08:12:13 CEST
Hi,

Okay, fixed (with: "show what is worked on by first thread").

Best regards, Wouter